> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/queries/pickingorders.md).

# Picking Orders

pickingOrders Query

Returns a paginated list of PickingOrder objects, with optional filtering and ordering.

## Arguments

| Name      | Type                     | Description                                                            |
| --------- | ------------------------ | ---------------------------------------------------------------------- |
| `after`   | `Cursor`                 | Returns the elements in the list that come after the specified cursor  |
| `first`   | `Int`                    | Returns the first *n* elements from the list                           |
| `before`  | `Cursor`                 | Returns the elements in the list that come before the specified cursor |
| `last`    | `Int`                    | Returns the last *n* elements from the list                            |
| `orderBy` | `PickingOrderOrder`      | Ordering options for PickingOrders returned from the connection        |
| `where`   | `PickingOrderWhereInput` | Filtering options for PickingOrders returned from the connection       |

## Return Type

`PickingOrderConnection!` - A connection to a list of PickingOrder objects with pagination information.

## Notes

The `data` field contains custom order attributes as JSON. You can use the `Data`, `DataHasKey`, `DataIn`, and `DataContains` filters to query based on JSON content. For complex JSON field queries, see [Advanced JSON Field Queries](https://github.com/pyck-ai/docs/blob/main/graphql/advanced/json-field-queries.md).

## Usage Example

```graphql
query {
  pickingOrders(
    first: 10,
    orderBy: { direction: DESC, field: CREATED_AT },
    where: {
      customerID: "550e8400-e29b-41d4-a716-446655440000"
    }
  ) {
    edges {
      node {
        id
        customerID
        data
        orderitems {
          sku
          quantity
          item {
            data
          }
        }
        attachments {
          id
          filename
        }
        createdAt
      }
      cursor
    }
    pageInfo {
      hasNextPage
      endCursor
    }
    totalCount
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/queries/pickingorders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
